Page MenuHomePhabricator

Configure WikibaseQualityConstraints on test
Closed, ResolvedPublic13 Story Points

Description

In order to be able to properly test T204031 before just running it in production we need WikibaseQualityConstraints to be properly setup and configured in beta and test (although without a SPARQL query service as noted in T204031#4742336 as I don't have one for beta or test).

Acceptance Criteria

  • Test
    • The extension is enabled
    • It is properly configured
      • Properties are correctly configured

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Nov 20 2018, 7:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 7:57 AM
Addshore triaged this task as Medium priority.Nov 20 2018, 7:58 AM
Addshore added a project: Wikidata-Campsite.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Nov 20 2018, 2:31 PM
Addshore set the point value for this task to 13.
Addshore renamed this task from Enabled & Configure WikibaseQualityConstraints on beta and test to Enable & Configure WikibaseQualityConstraints on beta and test.Nov 20 2018, 2:50 PM
Addshore renamed this task from Enable & Configure WikibaseQualityConstraints on beta and test to Enable & Configure WikibaseQualityConstraints on test.
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 20 2018, 2:53 PM
Addshore updated the task description. (Show Details)
Addshore renamed this task from Enable & Configure WikibaseQualityConstraints on test to Configure WikibaseQualityConstraints on test.Nov 20 2018, 2:55 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 21 2018, 8:19 AM

Change 480535 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add WikibaseQualityConstraints configs in testwikidatawiki

https://gerrit.wikimedia.org/r/480535

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 18 2018, 4:50 PM
Addshore claimed this task.Jan 15 2019, 8:34 AM
Addshore added a subscriber: Ladsgroup.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 15 2019, 8:35 AM

Change 480535 merged by jenkins-bot:
[operations/mediawiki-config@master] Add WikibaseQualityConstraints configs in testwikidatawiki

https://gerrit.wikimedia.org/r/480535

Mentioned in SAL (#wikimedia-operations) [2019-01-15T09:05:59Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T209922 Add WikibaseQualityConstraints configs in testwikidatawiki (duration: 00m 47s)